Rails.application.routes.draw do
  get 'translations' => 'kakimasu/home#index', as: 'translations'
  get 'kakimasu' => 'kakimasu/home#index', as: 'kakimasu'

  namespace :kakimasu do
    resources :translations, only: [:index, :create, :edit, :update]
    resources :keys, only: [:index, :create]
    resource :home, only: :index
  end
end
