module Kakimasu
  module Generators
    class PolicyGenerator < Rails::Generators::Base
      puts "Generating Policy for you ..."
      # Sets root for more compact file copying
      source_root File.expand_path("../../../../app/policies", __FILE__)

      # Copy policies for ability to edit them
      def copy_policies
        copy_file 'translation_policy.rb', 'app/policies/translations_policy.rb'
        puts ''
        puts '***********************************'
        puts 'Policies was successfully generated!'   # Success message
        puts '***********************************'
      end
    end
  end
end