module Kakimasu
  module Generators
    class ViewsGenerator < Rails::Generators::Base
      puts "Creating views for you ..."
      # Sets root for more compact file copying
      source_root File.expand_path("../../../../app/views/kakimasu", __FILE__)

      # Copy all views to project folder for ability to edit them
      def copy_views
        copy_file "home/index.html.erb", "app/views/kakimasu/home/index.html.erb"
        copy_file "keys/index.html.erb", "app/views/kakimasu/keys/index.html.erb"
        copy_file "translations/index.html.erb", "app/views/kakimasu/translations/index.html.erb"
        copy_file "translations/edit.html.erb", "app/views/kakimasu/translations/edit.html.erb"
        copy_file "shared/_navbar.html.erb", "app/views/kakimasu/shared/_navbar.html.erb"
        puts ''
        puts '***********************************'
        puts 'Views was successfully generated!'   # Success message
        puts '***********************************'
      end
    end
  end
end